import { HeritiersUtility } from "./heritiers-utility.js";

export const defaultItemImg = {
    competence: "systems/fvtt-les-heritiers/assets/icons/competence.webp",  
    arme: "systems/fvtt-les-heritiers/assets/icons/melee.webp",  
    equipement: "systems/fvtt-les-heritiers/assets/icons/equipement.webp",  
    monnaie: "systems/fvtt-les-heritiers/assets/icons/monnaie.webp",  
    predilection: "systems/fvtt-les-heritiers/assets/icons/predilection.webp",  
    protection: "systems/fvtt-les-heritiers/assets/icons/protection.webp",  
    talent: "systems/fvtt-les-heritiers/assets/icons/talent.webp",  
    historique: "systems/fvtt-les-heritiers/assets/icons/historique.webp",  
    profil: "systems/fvtt-les-heritiers/assets/icons/profil.webp",  
    artefact: "systems/fvtt-les-heritiers/assets/icons/artefact.webp",  
    contact: "systems/fvtt-les-heritiers/assets/icons/contacts.webp",  
    ressource: "systems/fvtt-les-heritiers/assets/icons/ressources.webp",  
}

/**
 * Extend the basic ItemSheet with some very simple modifications
 * @extends {ItemSheet}
 */
export class HeritiersItem extends Item {

  constructor(data, context) {
    if (!data.img) {
      data.img = defaultItemImg[data.type];
    }
    super(data, context);
  }

}
